# $Revision: 1.11 $, $Date: 2006/01/14 23:02:15 $
Summary:	Call-graph profiling
Summary(pl):	Profilowanie przy uyciu wykresw wywoa
Name:		valgrind-callgrind
Version:	0.10.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://kcachegrind.sourceforge.net/callgrind-%{version}.tar.bz2
# Source0-md5:	6d8acca6b58b0b72804339d04426d550
Patch0:		%{name}-pld-fuckup.patch
URL:		http://kcachegrind.sourceforge.net/cgi-bin/show.cgi/KcacheGrindDownload
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	valgrind >= 3.1.0
BuildRequires:	which
Requires:	valgrind
Obsoletes:	valgrind-calltree
ExclusiveArch:	%{ix86} %{x8664} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a skin (aka plugin) for Valgrind, a program instrumentation
system for x86-linux. It is based on the cachegrind skin, a cache
simulator from the valgrind core package. It adds call-graph
profiling.

%description -l pl
To jest wtyczka dla Valgrinda - systemu strojenia programw dla
Linuksa na platformie x86. Jest oparty na cachegrind - symulatorze
cache doczonym do pakietu valgrind. calltree dodaje moliwo
profilowania przy uyciu wykresw wywoa.

%prep
%setup -q -n callgrind-%{version}
#%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%attr(755,root,root) %{_libdir}/valgrind/*-linux/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: valgrind-callgrind.spec,v $
Revision 1.11  2006/01/14 23:02:15  wolf
- +x for binary

Revision 1.10  2005/12/28 20:29:51  wolf
- fixed

Revision 1.9  2005/12/28 20:28:27  wolf
- 0.10.1

Revision 1.8  2005/10/07 12:34:18  wolf
- 0.10.0

Revision 1.7  2005/06/26 00:18:09  zbyniu
- BR: pkgconfig, which

Revision 1.6  2005/04/02 12:17:51  wolf
- rel 2

Revision 1.5  2005/04/02 11:57:33  wolf
- 0.9.11

Revision 1.4  2005/02/24 20:09:28  wolf
- 0.9.10

Revision 1.3  2004/09/04 10:23:05  wolf
- 0.9.9

Revision 1.2  2004/08/10 19:27:33  wolf
- do not run valgrind by configure
- rel 2

Revision 1.1  2004/08/06 15:16:49  wolf
- moved from valgrind-calltree.spec
- up to 0.9.8

Revision 1.6  2004/04/28 13:05:51  wolf
- same ExclusiveArch as valgrind

Revision 1.5  2004/03/14 19:36:00  wolf
- 0.9.7

Revision 1.4  2003/11/23 11:38:09  wolf
- 0.9.6

Revision 1.3  2003/10/21 16:18:18  qboosh
- pl(?)

Revision 1.2  2003/10/18 12:16:16  wolf
- md5

Revision 1.1  2003/10/18 12:00:03  wolf
- new
